import java.io.*;
import java.lang.*;
import java.util.Vector;
import java.util.Enumeration;

public class Dict {

    Vector V;
    
    public Dict(){V = new Vector();}
    public int size(){return V.size();}
    public boolean isEmpty(){return V.isEmpty();}
    public boolean contains(String s){return V.contains(s);}
    public int indexOf(String s){return V.indexOf(s);}

    public int find(String s){
	if (V.contains(s)) return V.indexOf(s);
	else {V.addElement(s);return V.indexOf(s);}
    }
			       
    public void addElement(String s){V.addElement(s);}
    public String elementAt(int i){return (String)V.elementAt(i);}
    public String get(int i){return (String)V.elementAt(i);}
    public void removeElementAt(int i){V.removeElementAt(i);}
    public void removeAllElements(){V.removeAllElements();}
    public String toString(){return V.toString();}

}
